View Issue Details

IDProjectCategoryView StatusLast Update
0006036Kali Linux[All Projects] General Bugpublic2020-02-13 00:32
ReporterMister_X Assigned Torhertzog  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2020.1 
Target VersionFixed in Version2020.2 
Summary0006036: Install ralink firmware by default
DescriptionPlugging a wireless card with ralink chipset will create the interface, but tools such as airodump-ng will fail and return the following, which often indicates a missing firmware or failure to load it

kali@kali:~$ sudo airodump-ng wlan0mon
ioctl(SIOCSIFFLAGS) failed: No such file or directory
Failed initializing wireless card(s): wlan0mon

Looking into dmesg, the following can be found:

[14753.192564] ieee80211 phy0: rt2x00lib_request_firmware: Info - Loading firmware file 'rt2870.bin'
[14753.195019] rt2800usb 1-2:1.0: firmware: failed to load rt2870.bin (-2)

The solution is to install the firmware-ralink package.
Steps To Reproduce1. Plug a ralink card
2. Put in monitor mode: sudo airmon-ng start wlan0
3. Start packet capture: sudo airodump-ng wlan0mon
Additional Informationfirmware-atheros is missing as well. There are a few more firmware packages for wireless devices, we want to make sure they get installed as well.

Activities

rhertzog

2020-01-30 11:12

administrator   ~0011974

I just uploaded kali-meta 2020.2.1 fixing this. kali-linux-core now recommends the firmware packages that we want.

See https://gitlab.com/kalilinux/packages/kali-meta/commit/ab9b97dac78ec16f1c5fe20a4724c9a1e14d02a0

Note that firmware-ralink is empty, it's firmware-misc-nonfree that has the relevant files.

Issue History

Date Modified Username Field Change
2020-01-29 17:06 Mister_X New Issue
2020-01-30 11:12 rhertzog Assigned To => rhertzog
2020-01-30 11:12 rhertzog Status new => resolved
2020-01-30 11:12 rhertzog Resolution open => fixed
2020-01-30 11:12 rhertzog Fixed in Version => 2020.2
2020-01-30 11:12 rhertzog Note Added: 0011974